Name:           perl-Catalyst-Action-REST
Version:        0.86
Release:        1%{?dist}
Summary:        Automated REST Method Dispatching
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Action-REST/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Action-REST-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Runtime) >= 5.80
BuildRequires:  perl(Class::Inspector) >= 1.13
BuildRequires:  perl(Config::General)
BuildRequires:  perl(Data::Serializer) >= 0.36
BuildRequires:  perl(Data::Taxi)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FreezeThaw)
BuildRequires:  perl(JSON) >= 2.12
BuildRequires:  perl(LWP::UserAgent) >= 2.033
BuildRequires:  perl(Module::Pluggable::Object)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MRO::Compat) >= 0.10
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Params::Validate) >= 0.76
BuildRequires:  perl(PHP::Serialization)
BuildRequires:  perl(URI::Find)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(YAML::Syck) >= 0.67
Requires:       perl(Catalyst::Runtime) >= 5.80
Requires:       perl(Class::Inspector) >= 1.13
Requires:       perl(Config::General)
Requires:       perl(Data::Serializer) >= 0.36
Requires:       perl(Data::Taxi)
Requires:       perl(FreezeThaw)
Requires:       perl(JSON) >= 2.12
Requires:       perl(LWP::UserAgent) >= 2.033
Requires:       perl(MRO::Compat) >= 0.10
Requires:       perl(Params::Validate) >= 0.76
Requires:       perl(PHP::Serialization)
Requires:       perl(XML::Simple)
Requires:       perl(YAML::Syck) >= 0.67
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This Action handles doing automatic method dispatching for REST requests.
It takes a normal Catalyst action, and changes the dispatch to append an
underscore and method name. First it will try dispatching to an action
with the generated name, and failing that it will try to dispatch to a
regular method.

%prep
%setup -q -n Catalyst-Action-REST-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Sep 05 2010 Iain Arnell <iarnell@gmail.com> 0.86-1
- update to latest upstream version

* Sat Jul 17 2010 Iain Arnell <iarnell@gmail.com> 0.85-2
- cleanup spec for modern rpmbuild

* Sun Jun 27 2010 Iain Arnell <iarnell@gmail.com> 0.85-1
- Specfile autogenerated by cpanspec 1.78.
